Subject: Re: bug#13524: Improving user experience for non-recursive builds

From: Stefano Lattarini <[email-masked]>
Date: Mon, 04 Feb 2013 14:43:36 +0100

On 02/04/2013 01:04 PM, Peter Rosin wrote:
> On 2013-02-04 12:33, Stefano Lattarini wrote:
>> On 02/04/2013 10:35 AM, Peter Rosin wrote:
>>> Not sure what to do about it, or if it matters...
>>>
>> It does IMHO, since the failure you pointed out, albeit easy to
>> work around, wouldn't be very obvious to diagnose, from the point
>> of view of a non-particularly-expert user.
>>
>> What about doubling the curly braces?  As in '{{RELDIR}}'.
>> Would that be tolerable?  Other possibilities (none particularly
>> pleasant either, IMHO):
>>
>>   {+RELDIR+}
>>   {:RELDIR:}
>>   {.RELDIR.}
>>   {-RELDIR-}
>>
>> Other proposals?
> 
> ':' is a shifted symbol on my keyboard, as is &, and {} are
> on a separate modifier (AltGr)
>
Same on my keyboard, actually.  So ...

> making the old style (which I
> refuse to replicate here) a bitch to type (which is why I
> refuse). So, on the grounds of that, I'd vote against
> {:RELDIR:}.
>
... I agree with you (and should probably lart myself with
my own keyboard for not having thought of your rationale
myself).

> I {{think}} this one will be the easiest on us of all.
>
I tend to agree (but see Peter Johansson's proposal to use
{AM_RELDIR} instead; what do you think about it?)

Thanks,
  Stefano